查询VC订单详情【PO】
POST
/basicOpen/platformOrder/vcOrderPo/detail接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/platformOrder/vcOrderPo/detail | HTTPS | POST | 1 |
请求参数
local_po_numberstring必填返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataobject必填隐藏子属性
vc_store_idstring必填seller_namestring必填purchase_order_numberstring必填local_po_numberstring必填purchase_order_datestring必填purchase_order_statestring必填purchase_order_process_stateinteger必填payment_methodstring必填purchase_order_typestring必填remarkstring必填related_warehouse_idstring必填related_warehouse_namestring必填ship_to_party_idstring必填total_pricestring必填currency_codestring必填currency_iconstring必填item_amountstring必填ship_window_startstring必填ship_window_endstring必填delivery_window_startstring必填delivery_window_endstring必填itemsarray<object>必填隐藏子属性
sequence_numberstring必填asinstring必填asin_urlstring必填mskustring必填item_namestring必填large_main_image_urlstring必填medium_main_image_urlstring必填small_main_image_urlstring必填purchase_amountstring必填local_po_numberstring必填unit_pricestring必填net_pricestring必填net_price_currency_codestring必填net_price_currency_iconstring必填tax_amountstring必填tax_amount_currency_codestring必填tax_amount_currency_iconstring必填tax_ratestring必填tax_rate_percentstring必填deal_total_pricestring必填deal_unit_pricestring必填is_back_order_allowedstring必填shipped_amountstring必填to_ship_amountstring必填local_namestring必填local_skustring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "b5b12e0109ad4ef288578b325a516020.1698992970537",
"response_time": "2023-11-03 14:29:33",
"data": {
"vc_store_id": "134225003201380864",
"seller_name": "VC01-美国",
"purchase_order_number": "2VDWJFMP",
"local_po_number": "402242689523401357",
"purchase_order_date": "2022-10-16 23:57:37",
"purchase_order_state": "Acknowledged",
"purchase_order_process_state": "1",
"payment_method": "Invoice",
"purchase_order_type": "1",
"remark": null,
"related_warehouse_id": "1",
"related_warehouse_name": "仓库1",
"ship_to_party_id": "TEB9",
"total_price": "2699.0",
"currency_code": "USD",
"currency_icon": "$",
"item_amount": "100",
"ship_window_start": "2022-10-17 00:00:00",
"ship_window_end": "2022-10-20 00:00:00",
"delivery_window_start": "2023-12-19 10:55:25",
"delivery_window_end": "2023-12-26 10:55:31",
"items": [
{
"sequence_number": "2",
"asin": "B09STGM7QT",
"msku": "KWST121290",
"item_name": "Patio Garden Backyard",
"large_main_image_url": "https://m.xxx.com/images/I/71ONL.jpg",
"medium_main_image_url": "https://m.xxx.com/images/I/5wz11L.jpg",
"small_main_image_url": "https://m.xxx.com/images/I/SL75_.jpg",
"purchase_amount": "50",
"local_po_number": "402242689523401357",
"unit_price": "25.64",
"net_price": "1282.00",
"net_price_currency_code": "USD",
"net_price_currency_icon": "$",
"tax_amount": null,
"tax_amount_currency_code": null,
"tax_amount_currency_icon": null,
"tax_rate": null,
"tax_rate_percent": null,
"deal_total_price": "1349.50",
"deal_unit_price": "26.99",
"is_back_order_allowed": "1",
"shipped_amount": "0",
"to_ship_amount": "10",
"local_name": null,
"local_sku": null,
"asin_url": null
}
]
},
"total": 0
}